Package org.gradle.api.artifacts

# Class UnknownConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.api.UnknownDomainObjectException
org.gradle.api.artifacts.UnknownConfigurationException

All Implemented Interfaces:
  `Serializable`

public class UnknownConfigurationException extends UnknownDomainObjectException

An `UnknownConfigurationException` is thrown when a configuration referenced by name cannot be found.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnknownConfigurationException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnknownConfigurationException

public UnknownConfigurationException(String message)